shelldap_1.3.1-2_all.deb


Advertisement

Description

shelldap - shell-like interface for browsing LDAP servers and editing their content

Property Value
Distribution Ubuntu 16.04 LTS (Xenial Xerus)
Repository Ubuntu Universe i386
Package name shelldap
Package version 1.3.1
Package release 2
Package architecture all
Package type deb
Installed size 100 B
Download size 24.47 KB
Official Mirror archive.ubuntu.com
Shelldap lets you browse and edit an LDAP tree as if it were a filesystem.  It
keeps command history, has sane autocompletes, credential caching, site-wide
and individual configs, and it's fun to say. Shelldap! Shelldap! Shelldap!

Alternatives

Package Version Architecture Repository
shelldap_1.3.1-2_all.deb 1.3.1 all Ubuntu Universe
shelldap - - -

Requires

Name Value
libalgorithm-diff-perl -
libnet-ldap-perl -
libterm-readkey-perl -
libterm-readline-gnu-perl -
libterm-shell-perl -
libyaml-syck-perl -
perl -

Download

Type URL
Binary Package shelldap_1.3.1-2_all.deb
Source Package shelldap

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install shelldap deb package:
    # sudo apt-get install shelldap

Files

Path
/usr/bin/shelldap
/usr/share/doc/shelldap/changelog.Debian.gz
/usr/share/doc/shelldap/copyright
/usr/share/man/man1/shelldap.1p.gz

Changelog

2015-04-28 - Salvatore Bonaccorso <carnil@debian.org>
shelldap (1.3.1-2) unstable; urgency=medium
* Upload to unstable
2015-03-08 - Salvatore Bonaccorso <carnil@debian.org>
shelldap (1.3.1-1) experimental; urgency=medium
* Imported Upstream version 1.3.1
* Update copyright years for upstream files
* Update copyright for debian/* packaging files
* Add /usr/bin/editor fallback if EDITOR environment variable is not set
* Add /usr/bin/pager fallback if PAGER environment variable is not set
* Use valid license short name in License field.
For upstream and debian/* packaging files a BSD-3-clause license is
used. Adjust the used short name in the License field according to
copyright-format 1.0.
* Declare compliance with Debian Policy 3.9.6
2014-08-12 - Salvatore Bonaccorso <carnil@debian.org>
shelldap (1.2.0-1) unstable; urgency=medium
* Imported Upstream version 1.2.0
* Drop fix-POD-error.patch patch
* Update Vcs-Browser URL to cgit web frontend
2014-08-02 - Salvatore Bonaccorso <carnil@debian.org>
shelldap (1.1.0-1) unstable; urgency=medium
* Imported Upstream version 1.1.0
* Add Suggests on libauthen-sasl-perl for SASL support in shelldap
* Add fix-POD-error.patch patch to fix POD error
* Update copyright years for debian/* packaging
* Declare compliance with Debian Policy 3.9.5
* Wrap and sort fields in debian/control file
* Add Vcs-Browser and Vcs-Git fields
2013-05-17 - Salvatore Bonaccorso <carnil@debian.org>
shelldap (1.0.2-1) unstable; urgency=low
* Upload to unstable
* Imported Upstream version 1.0.2
* Update copyright years for upstream files
2013-03-28 - Salvatore Bonaccorso <carnil@debian.org>
shelldap (1.0.0-1) experimental; urgency=low
* Imported Upstream version 1.0.0
2013-01-16 - Salvatore Bonaccorso <carnil@debian.org>
shelldap (0.7-1) experimental; urgency=low
* Imported Upstream version 0.7
* Update debian/copyright information.
Update copyright years for upstream files and for debian/* packaging
files.
* Drop fix-for-conversion-path-to-dn.patch patch.
Patch included in version 0.7.
* Drop 0001-Take-only-second-argument-for-run_-cd-edit-mkdir.patch patch.
Patch is included in version 0.7.
2012-10-18 - Salvatore Bonaccorso <carnil@debian.org>
shelldap (0.5-3) experimental; urgency=low
* Add 0001-Take-only-second-argument-for-run_-cd-edit-mkdir.patch patch.
Take only second argument for run_{cd,edit,mkdir}. Make the behaviour of
cd, edit and mkdir similar to cat and delete/rm and fail if some RDN's
in the argument contain spaces without being quoted.
Thanks to Dominik George <nik@naturalnet.de> for the report.
(Closes: #689842)
* Update debian/copyright information.
Update format to copyright-format 1.0 as released together with Debian
policy 3.9.3.
Update copyright years for debian/* packaging.
* Bump Debhelper compat level to 9.
Adjust versioned Build-Depends on debhelper to (>= 9).
* Bump Standards-Version to 3.9.4
2011-11-12 - Salvatore Bonaccorso <carnil@debian.org>
shelldap (0.5-2) unstable; urgency=low
* Add fix-for-conversion-path-to-dn.patch patch.
Fix a bug in the conversion from given path to dn, introduced in
shelldap 0.5  with passwd arguments.
See: http://projects.martini.nu/shelldap/changeset/c6a3abc56c746e20671b04ae8edf8af14293076d
2011-09-09 - Salvatore Bonaccorso <carnil@debian.org>
shelldap (0.5-1) unstable; urgency=low
* Imported Upstream version 0.5
+ Make sure the hasSubordinates attribute is defined before checking
its value (Closes: #639506).
* Drop ssl-errmsg.patch patch. Patch was applied upstream.

See Also

Package Description
shellex_0.1-1_i386.deb shell-based launcher
shellinabox_2.19_i386.deb publish command line shell through AJAX interface
shelltestrunner_1.3.5-6_i386.deb test command-line programs or arbitrary shell commands
shelr_0.16.2-1build1_all.deb Utility for plain text screencasting
shelxle_1.0.748-1_i386.deb graphical user interface for SHELXL
shibboleth-sp2-common_2.5.3+dfsg-2.1build1_all.deb Federated web single sign-on system (common files)
shibboleth-sp2-schemas_2.5.3+dfsg-2.1build1_all.deb Federated web single sign-on system (transitional package)
shibboleth-sp2-utils_2.5.3+dfsg-2.1build1_i386.deb Federated web single sign-on system (daemon and utilities)
shiboken-doc_1.2.2-2build2_all.deb CPython bindings generator for C++ libraries documentation
shiboken_1.2.2-2build2_i386.deb CPython bindings generator for C++ libraries
shiki-brave-theme_4.6-1ubuntu2_all.deb blue variation of the Shiki-Colors theme
shiki-colors-metacity-theme_4.6-1ubuntu2_all.deb set of Metacity themes
shiki-colors-xfwm-theme_4.6-1ubuntu2_all.deb Xfwm/Xfce4 theme based on the Shiki-Colors Metacity theme
shiki-colors_4.6-1ubuntu2_all.deb set of Metacity/GTK-2+ themes
shiki-dust-theme_4.6-1ubuntu2_all.deb chocolate variation of the Shiki-Colors theme
Advertisement
Advertisement